### Method

# Gtk Entryset_icon_from_gicon

#### Declaration [src]

    void
    gtk_entry_set_icon_from_gicon (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      GIcon* icon
    )

#### Description [src]

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon isn’t known, a “broken image” icon will be displayed instead.

If `icon` is `NULL`, no icon will be shown in the specified position.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  The position at which to set the icon.

`icon`

  Type: `GIcon`

  The icon to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.